<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Last Stop on the Red Line</Series>
  <Number>004</Number>
  <Web>https://www.comixology.com/Last-Stop-on-the-Red-Line-4/digital-comic/786873</Web>
  <Summary>The wheels are screeching and the conductor's said his piece. We've reached the harrowing conclusion to Last Stop on the Red Line. Detective Torres' partner Ben Damon has traced crime scene evidence back to an old asylum. Detective Torres and Yusef reconvene with Ben. Yusef's connection to the invisible entity known as X unlocks memories that prove vital to finding Boston's phantom strangler.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB786873]</Notes>
  <Publisher>Dark Horse</Publisher>
  <Genre>Crime, Horror</Genre>
  <PageCount>30</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
